Bug 427368 - WARNING: /lib/modules/2.6.18-62.el5/kernel/drivers/cpufreq/cpufreq_ondemand.ko needs unknown symbol __udivdi3
WARNING: /lib/modules/2.6.18-62.el5/kernel/drivers/cpufreq/cpufreq_ondemand.k...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: beta
: ---
Assigned To: Rik van Riel
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 10:33 EST by Jay Turner
Modified: 2015-01-07 19:16 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
trivial revert of the offending change in linux-2.6-xen-kernel-cpu-frequency-scaling.patch (429 bytes, patch)
2008-01-03 15:34 EST, Rik van Riel
no flags Details | Diff

  None (edit)
Description Jay Turner 2008-01-03 10:33:43 EST
Description of problem:
Getting the following attempting to install the 2.6.18-62.el5.i686 kernel on top
of a 5.1 installation:

   2:kernel                 ########################################### [ 50%]
WARNING: /lib/modules/2.6.18-62.el5/kernel/drivers/cpufreq/cpufreq_ondemand.ko
needs unknown symbol __udivdi3
WARNING: /lib/modules/2.6.18-62.el5/kernel/drivers/cpufreq/cpufreq_ondemand.ko
needs unknown symbol __udivdi3

Version-Release number of selected component (if applicable):
2.6.18-62.el5.i686

How reproducible:
Every time
Comment 1 Jay Turner 2008-01-03 10:34:32 EST
Proposing for 5.2 with a target of the beta.
Comment 2 Rik van Riel 2008-01-03 15:34:58 EST
Created attachment 290778 [details]
trivial revert of the offending change in linux-2.6-xen-kernel-cpu-frequency-scaling.patch

Changing idle_ticks and total_ticks to 64 bit variables caused the __udivdi3
issue.

-static void dbs_check_cpu(struct cpu_dbs_info_s *this_dbs_info)
+#ifndef CONFIG_XEN
+static int dbs_calc_load(struct cpu_dbs_info_s *this_dbs_info)
 {
-	unsigned int idle_ticks, total_ticks;
-	unsigned int load;
-	cputime64_t cur_jiffies;
-
	struct cpufreq_policy *policy;
+	cputime64_t cur_jiffies;
+	cputime64_t total_ticks, idle_ticks;
	unsigned int j;
Comment 4 RHEL Product and Program Management 2008-01-18 15:37:48 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jay Turner 2008-01-22 01:54:11 EST
Just as an information point, these errors are still occurring with -71.el5 . .
. not sure if that's expected or not.
Comment 6 Rik van Riel 2008-01-22 09:43:55 EST
Seeing as the fix was not actually committed (still in POST state), I'd say yes.
Comment 7 Don Zickus 2008-01-22 13:52:04 EST
in 2.6.18-72.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Jay Turner 2008-01-23 07:10:51 EST
Things are all better with the -72.el5 kernel.  Moving to Verified.
Comment 10 errata-xmlrpc 2008-05-21 11:05:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.